package f1.entity;

import com.fasterxml.jackson.annotation.JsonProperty;

public class DriverHistoryItem {
    @JsonProperty("prix_name")
    private String prixName;

    @JsonProperty("team_name")
    private String teamName;

    private int position;
    private int score;

    @JsonProperty("is_sprint")
    private boolean isSprint;

    public DriverHistoryItem(String prixName, String teamName, int position, int score, boolean isSprint) {
        this.prixName = prixName;
        this.teamName = teamName;
        this.position = position;
        this.score = score;
        this.isSprint = isSprint;
    }

    public String getPrixName() {
        return prixName;
    }

    public String getTeamName() {
        return teamName;
    }

    public int getPosition() {
        return position;
    }

    public int getScore() {
        return score;
    }

    public boolean isSprint() {
        return isSprint;
    }
}
